CLOSED: How to update SAMBA

DLorents
Posts: 9
Joined: Mon Sep 02, 2019 12:13 pm

CLOSED: How to update SAMBA

Postby DLorents » Mon Jul 13, 2020 12:49 pm

Hi! I´am running Amahi 11 and inside this i have Samba Version 4.7.10, but i need version 4.8.x or newer.
How to update?
If i use "sudo apt remove samba" i will lost all my shares and users? Is it possible avoid that and use something like "sudo apt get update samba" and keep all my settings?

User avatar
bigfoot65
Project Manager
Posts: 11648
Joined: Mon May 25, 2009 4:31 pm

Re: How to update SAMBA

Postby bigfoot65 » Mon Jul 13, 2020 3:37 pm

Hi! I´am running Amahi 11 and inside this i have Samba Version 4.7.10, but i need version 4.8.x or newer.
You can only use the latest version supplied by Fedora 27. Have you done an OS update?

Code: Select all

sudo dnf update
If i use "sudo apt remove samba" i will lost all my shares and users? Is it possible avoid that and use something like "sudo apt get update samba" and keep all my settings?
The command you listed is for Ubuntu, not Fedora. When you do OS updates, all settings will be preserved.

If Fedora 27 does not have Samba 4.8 or newer, there is nothing more you can do. Until we release Amahi 12 on Fedora 32, there is not much you can do to update Samba. Amahi 11 only works on Fedora 27.
ßîgƒσστ65
Applications Manager

DLorents
Posts: 9
Joined: Mon Sep 02, 2019 12:13 pm

Re: How to update SAMBA

Postby DLorents » Mon Jul 13, 2020 11:16 pm

Thanx for quick answer. I have latest OS installed. (((((

Code: Select all

[root@nas ~]# sudo dnf update Last metadata expiration check: 2:23:16 ago on Tue Jul 14 06:42:08 2020. Dependencies resolved. Nothing to do. Complete!
Before we close that request, little explanation,
I need Samba 4.8.x or newer to host a TimeCapsule on Amahi, its possible in two way, Samba or Netatalk, but Samba must be 4.8.x or newer.
Thanx again and have a nice day!

User avatar
bigfoot65
Project Manager
Posts: 11648
Joined: Mon May 25, 2009 4:31 pm

Re: How to update SAMBA

Postby bigfoot65 » Tue Jul 14, 2020 6:16 am

Fedora 27 does not support Samba 4.8 so you cannot use TimeCapsule with Amahi 11.

Sorry, but nothing can be done to help with your request.
ßîgƒσστ65
Applications Manager

DLorents
Posts: 9
Joined: Mon Sep 02, 2019 12:13 pm

Re: How to update SAMBA

Postby DLorents » Tue Jul 14, 2020 12:04 pm

Until we release Amahi 12 on Fedora 32
Do you have any clue, then ?

User avatar
bigfoot65
Project Manager
Posts: 11648
Joined: Mon May 25, 2009 4:31 pm

Re: How to update SAMBA

Postby bigfoot65 » Tue Jul 14, 2020 4:47 pm

We don’t have an estimate yet for release of Amahi 12.

Might be another 2 or 3months as we only have one developer.

There’s a lot to do for it to be production ready.

Sorry but it won’t be anytime soon.
ßîgƒσστ65
Applications Manager

User avatar
bigfoot65
Project Manager
Posts: 11648
Joined: Mon May 25, 2009 4:31 pm

Re: How to update SAMBA

Postby bigfoot65 » Sun Jul 19, 2020 9:12 pm

Sorry I didn't think of this sooner. Time Machine and Time Capsule are the same thing I believe, correct?

I presume the Amahi-time-machine App is what you want to install.
ßîgƒσστ65
Applications Manager

DLorents
Posts: 9
Joined: Mon Sep 02, 2019 12:13 pm

Re: How to update SAMBA

Postby DLorents » Thu Jul 30, 2020 10:06 am

I presume the Amahi-time-machine App is what you want to install.
Eeeee, "Updated almost 4 years ago" Actualy no, thanks, its outdated and i do not pay for a dead horse.
Samba 4.8 have "Time Machine Support with vfs_fruit
-----------------------------------

Samba can be configured as a Time Machine target for Apple Mac devices
through the vfs_fruit module. When enabling a share for Time Machine
support the relevant Avahi records to support discovery will be published
for installations that have been built against the Avahi client library.

Shares can be designated as a Time Machine share with the following setting:

'fruit:time machine = yes'
"
That's it, its done,

User avatar
bigfoot65
Project Manager
Posts: 11648
Joined: Mon May 25, 2009 4:31 pm

Re: How to update SAMBA

Postby bigfoot65 » Thu Jul 30, 2020 10:55 am

Understand.

Marking topic as closed.

Should you need additional assistance, please start a new topic.
ßîgƒσστ65
Applications Manager

Who is online

Users browsing this forum: No registered users and 2 guests